/* Press ================ */

@import "./src/lib/core/variables";
@import "./src/lib/mixins/panel_styles";

.press {
  padding-top: 80px;
  padding-bottom: 80px;

  @include mq("desktop", "max") {
    padding-top: 40px;
    padding-bottom: 40px;
  }

  @include mq("tablet", "max") {
    padding-top: 20px;
    padding-bottom: 20px;
  }
}

.press__content {
  min-height: 340px;
  padding: 40px;
  text-align: center;
  background-image: url("../images/pattern_bg_press.jpg");
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;

  @include panelStyles;

  @include mq("desktop", "max") {
    min-height: 280px;
  }

  @include mq("phone-large", "max") {
    min-height: 100px;
    padding: 20px;
  }
}

.press__list {
  display: grid;
  grid-gap: 55px;
  grid-template-columns: repeat(4, 1fr);

  @include mq("tablet", "max") {
    grid-template-columns: repeat(2, 1fr);
  }
}

.press__item {
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  filter: grayscale(1);
  transition: all $transition-time $transition-type;
  opacity: .4;

  &:hover {
    opacity: 1;
    filter: grayscale(0);
  }

  @include mq("phone-large", "max") {
    opacity: 1;
    filter: grayscale(0);
  }
}

.press__image {
  max-width: 240px;

  @include mq("desktop-fullhd", "max") {
    max-width: 200px;
    max-height: 120px;
  }

  @include mq("desktop", "max") {
    max-width: 180px;
    max-height: 100px;
  }

  @include mq("phone-large", "max") {
    max-width: 110px;
    max-height: 70px;
  }
}

/* ================ end press */
